<?php
/*******************************************************************************
 *
 * Copyright (c) 2004-2017 Calame Software
 *
 *******************************************************************************/
 
require_once dirname(__FILE__) . '/functions.php';


//
//  POST: forward la commande à GTServer
//

function process_post()
{
	// Sanity
	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{	
		exit(0);	
	}

	// params
	parse_str($_SERVER['QUERY_STRING']);  // les variables alias et c

	if (empty($alias) || empty($c))
	{
		exit(0);
	}

	if (get_instance_params($alias, $srv, $port, $sslmode, $timeout, $errcode, $errmsg) === false)
	{	
		do_gterror($errmsg, $errcode, true);
		exit(0);
	}

	// read input
	$send = file_get_contents("php://input");
	if ($send === "")
	{
		exit(0);
	}

	if (sha1($send) !== $c)
	{
		exit(0);
	}	

	// Process
	$data = proxy($send, $srv, $port, $sslmode, $timeout, true);

	if ($data != "")
	{
		write_reponse($data);
	}
}


//
//  Remplacé par protocol en V4
//

function process_get()
{
	// Sanity
	if ($_SERVER['REQUEST_METHOD'] != 'GET')
	{	
		exit(0);	
	}

	// params
	parse_str($_SERVER['QUERY_STRING']);  // créé les variables

	if (empty($alias))
	{
		exit(0);
	}
	
	if (get_instance_params($alias, $srv, $port, $sslmode, $timeout, $errcode, $errmsg) === false)
	{	
		if (!empty($t))
		{
			header("Content-type: text/plain");
			echo $errmsg;
		}
		else
			write_gterror_2($errcode, $errmsg);
		exit(0);
	}

	if (!empty($t))
	{
		do_test($alias, $srv, $port, $sslmode, $timeout);
		exit(0);
	}
	
	if (!empty($p) && !empty($n))
	{
		open_qst($alias, $srv, $port, $sslmode, $timeout, $p, $n);
		exit(0);
	}
}	
 
 ?>